Subject: sys_language_mode=content_fallback only supports language uid 0 as fallback
Description

In TYPO3 6 the language fallback only supports uid 0.

I configured the following languages:

ID - Title
0 = Dutch
1 = English
6 = Russian

When opening the Russian language, the content that has no translation is always shown in Dutch (language uid 0).
I need to configure TypoScript to fallback to English (language uid 1).

This always worked for us in the TYPO3 4.X.X brancht, but now we use TYPO3 6.2.3 it is not working as expected.

The TypoScript that I try is:

config {
  sys_language_overlay = 1
  sys_language_mode=content_fallback;1,0
}

If I debug output from the following script: "sysext/extbase/Classes/Persistence/Generic/Typo3QuerySettings.php"

257         public function setLanguageUid($languageUid) {
258 error_log($languageUid);
259                 $this->languageUid = $languageUid;
260                 return $this;
261         }

Then I see it only wants to set the language uid to 0 and 6, while we expected 1,6.

[Wed Jul 02 10:20:23 2014] [warn] [client MY_IP] mod_fcgid: stderr: 0, referer: http://www.project.server/
[Wed Jul 02 10:20:23 2014] [warn] [client MY_IP] mod_fcgid: stderr: 6, referer: http://www.project.server/
[Wed Jul 02 10:20:23 2014] [warn] [client MY_IP] mod_fcgid: stderr: 0, referer: http://www.project.server/
[Wed Jul 02 10:20:23 2014] [warn] [client MY_IP] mod_fcgid: stderr: 6, referer: http://www.project.server/

I tried everything but nothing helps. What is wrong?
Related issues:
related to Core - Bug # 48673: Changed language overlay behaviour in TYPO3 6.* Accepted 2013-05-30
duplicates Core - Bug # 17354: fallback for menus. "content_fallback;1,0" has... Under Review 2007-07-22

History
#1 - 2014-07-02 22:50 - Markus Klein
- Status changed from New to Closed

This is a known issue and a problem out several problems in the language handling area.
Closing this as (in)direct duplicate of #17354

#2 - 2014-07-02 22:51 - Markus Klein

One more note: Extbase language handling is even worse, but the fallback is already not working in the Core itself.
